require 5.004;
use strict;

my $NAME    = 'PCXFireWall';
my $DISTNAME= "libpcxfirewall-perl";

# Check for non-standard modules that are used by this library.
$| = 1;
my $missing_modules = 0;

if ($missing_modules)
{
  print <<EOT;
The missing modules can be obtained from CPAN.  Visit
<URL:http://www.perl.com/CPAN/> to find a CPAN site near you.
For those not on CPAN see the modules directory in this package.

EOT
  exit(1);
}

use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.

WriteMakefile(
    'NAME'      => $NAME,
    'VERSION_FROM'   => "PCXFireWall/Config.pm",
    'DISTNAME'  => $DISTNAME,
    'PREREQ_PM' => { },
    'AUTHOR'    => 'James A. Pattie <james@pcxperience.com>',
    'ABSTRACT'  => 'The PCX FireWall Perl distribution created by Xperience, Inc.',
);
